By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
454,717 Members | 1,413 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 454,717 IT Pros & Developers. It's quick & easy.

trouble upgrading 4.3.1 -> 4.3.5 on Xitami

P: n/a
Fox

This is ridiculous -- it should be a straight swap out, but the best I
can get is "no input file specified" and the worst is a Security Alert
page... for a simple phpinfo() script.

I have

cgi.force_redirect = 0 ;must have -- using php as cgi
doc_root = c:\specified ; correct for 4.3.1
extensions_dir c:\path2php\extensions

etc...

specs:
Xitami 2.4d9
Win2000/pro

docs say NOT to overwrite dlls in winnt\system32 unless something breaks
[except php4ts.dll -- the new one, btw, is *not* compatible with 4.3.1]

anybody got this working? if so, HOW?!?

Thanks,

Fox
Jul 17 '05 #1
Share this Question
Share on Google+
2 Replies


P: n/a
On Sat, 03 Apr 2004 00:32:58 -0600, Fox <fo*@fxmahoney.com> wrote:
This is ridiculous -- it should be a straight swap out, but the best I
can get is "no input file specified" and the worst is a Security Alert
page... for a simple phpinfo() script.

I have

cgi.force_redirect = 0 ;must have -- using php as cgi
doc_root = c:\specified ; correct for 4.3.1
extensions_dir c:\path2php\extensions

etc...

specs:
Xitami 2.4d9
Win2000/pro

docs say NOT to overwrite dlls in winnt\system32 unless something breaks
[except php4ts.dll -- the new one, btw, is *not* compatible with 4.3.1]

anybody got this working? if so, HOW?!?


This might not be the problem, but 4.3.5 has some problems under Windows - see
the new 4.3.6RC1 or stick to 4.3.4 until 4.3.6 is released.

--
Andy Hassall <an**@andyh.co.uk> / Space: disk usage analysis tool
http://www.andyh.co.uk / http://www.andyhsoftware.co.uk/space
Jul 17 '05 #2

P: n/a
Fox


Andy Hassall wrote:

On Sat, 03 Apr 2004 00:32:58 -0600, Fox <fo*@fxmahoney.com> wrote:
This is ridiculous -- it should be a straight swap out, but the best I
can get is "no input file specified" and the worst is a Security Alert
page... for a simple phpinfo() script.

I have

cgi.force_redirect = 0 ;must have -- using php as cgi
doc_root = c:\specified ; correct for 4.3.1
extensions_dir c:\path2php\extensions

etc...

specs:
Xitami 2.4d9
Win2000/pro

docs say NOT to overwrite dlls in winnt\system32 unless something breaks
[except php4ts.dll -- the new one, btw, is *not* compatible with 4.3.1]

anybody got this working? if so, HOW?!?


This might not be the problem, but 4.3.5 has some problems under Windows - see
the new 4.3.6RC1 or stick to 4.3.4 until 4.3.6 is released.


Thanks Andy -- I was wondering if that might not be the issue (I
couldn't imagine what I was forgetting!). Normally, I don't like using
the beta releases (4.3.6RC1 came out yesterday), but I might give this
one a try.

Fox
**************
Jul 17 '05 #3

This discussion thread is closed

Replies have been disabled for this discussion.